Bug 997879 - After login to dashbuilder random resource displayed instead of application home screen
After login to dashbuilder random resource displayed instead of application h...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER2
: 6.0.0
Assigned To: Roger Martínez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 07:07 EDT by Jan Hrcek
Modified: 2014-08-06 16:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strange behavior after login. (1.73 MB, video/webm)
2013-08-16 07:07 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-08-16 07:07:08 EDT
Created attachment 787219 [details]
Strange behavior after login.

Description of problem:
After logging into dashbuilder application ranom resource is displayed, instead of home screen of BAM application.

For example user is redirected to :
http://localhost:8080/dashbuilder/redhat/RH-Product-Name.png
http://localhost:8080/dashbuilder/redhat/login-screen-logo.png
http://localhost:8080/dashbuilder/redhat/base.css

Please see video of the strange behavior. Also note the strange login screen of the application.

Version-Release number of selected component (if applicable):
BPMS 6.0.0.ER1

How reproducible:
Always.

Steps to Reproduce:
1. deploy BPMS 6.0.0.ER1 deployed on EAP 6.0.0
2. go to http://localhost:8080/dashbuilder/ and login with some user
3. after clicking login some random resource is displayed (as listed in the description)
4. if you then delete the URL part after dashbuilder context, the application is displayed correctly.
Comment 2 Pedro Zapata 2013-08-21 10:25:56 EDT
Branding needs to be reapplied to private product branch, from the video looks completely broken. 

See https://bugzilla.redhat.com/show_bug.cgi?id=982548 for status.
Comment 4 Pedro Zapata 2013-08-26 09:55:55 EDT
This should be fixed when branding is applied correctly.
Comment 5 Jan Hrcek 2013-09-04 01:58:46 EDT
Verified with BPMS 6.0.0.ER2 deployed on EAP 6.1.0

Note You need to log in before you can comment on or make changes to this bug.